# kubezero-operators

![Version: 0.1.7](https://img.shields.io/badge/Version-0.1.7-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square)

Various operators supported by KubeZero

**Homepage:** <https://kubezero.com>

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| Stefan Reimer | <stefan@zero-downtime.net> |  |

## Requirements

Kubernetes: `>= 1.26.0`

| Repository | Name | Version |
|------------|------|---------|
| https://cdn.zero-downtime.net/charts/ | kubezero-lib | >= 0.1.6 |
| https://cloudnative-pg.github.io/charts | cloudnative-pg | 0.22.1 |
| https://helm.elastic.co | eck-operator | 2.15.0 |
| https://opensearch-project.github.io/opensearch-k8s-operator/ | opensearch-operator | 2.7.0 |
| oci://quay.io/strimzi-helm | strimzi-kafka-operator | 0.44.0 |

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| cloudnative-pg.enabled | bool | `false` |  |
| cloudnative-pg.monitoring.grafanaDashboard.create | bool | `false` |  |
| cloudnative-pg.monitoring.podMonitorEnabled | bool | `false` |  |
| cloudnative-pg.nodeSelector."node-role.kubernetes.io/control-plane" | string | `""` |  |
| cloudnative-pg.tolerations[0].effect | string | `"NoSchedule"` |  |
| cloudnative-pg.tolerations[0].key | string | `"node-role.kubernetes.io/control-plane"` |  |
| eck-operator.enabled | bool | `false` |  |
| eck-operator.installCRDs | bool | `false` |  |
| eck-operator.nodeSelector."node-role.kubernetes.io/control-plane" | string | `""` |  |
| eck-operator.tolerations[0].effect | string | `"NoSchedule"` |  |
| eck-operator.tolerations[0].key | string | `"node-role.kubernetes.io/control-plane"` |  |
| opensearch-operator.enabled | bool | `false` |  |
| opensearch-operator.fullnameOverride | string | `"opensearch-operator"` |  |
| opensearch-operator.kubeRbacProxy.enable | bool | `false` |  |
| opensearch-operator.manager.extraEnv[0].name | string | `"SKIP_INIT_CONTAINER"` |  |
| opensearch-operator.manager.extraEnv[0].value | string | `"true"` |  |
| opensearch-operator.nodeSelector."node-role.kubernetes.io/control-plane" | string | `""` |  |
| opensearch-operator.tolerations[0].effect | string | `"NoSchedule"` |  |
| opensearch-operator.tolerations[0].key | string | `"node-role.kubernetes.io/control-plane"` |  |
| strimzi-kafka-operator.enabled | bool | `false` |  |
| strimzi-kafka-operator.leaderElection.enable | bool | `false` |  |
| strimzi-kafka-operator.monitoring.podMonitorEnabled | bool | `false` |  |
| strimzi-kafka-operator.nodeSelector."node-role.kubernetes.io/control-plane" | string | `""` |  |
| strimzi-kafka-operator.resources.limits.memory | string | `"384Mi"` |  |
| strimzi-kafka-operator.resources.requests.cpu | string | `"20m"` |  |
| strimzi-kafka-operator.resources.requests.memory | string | `"256Mi"` |  |
| strimzi-kafka-operator.revisionHistoryLimit | int | `3` |  |
| strimzi-kafka-operator.tolerations[0].effect | string | `"NoSchedule"` |  |
| strimzi-kafka-operator.tolerations[0].key | string | `"node-role.kubernetes.io/control-plane"` |  |
| strimzi-kafka-operator.watchAnyNamespace | bool | `true` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.14.2](https://github.com/norwoodj/helm-docs/releases/v1.14.2)
